Package javassist.bytecode.annotation

# Class ArrayMemberValue

java.lang.Object
javassist.bytecode.annotation.MemberValue
javassist.bytecode.annotation.ArrayMemberValue

public class ArrayMemberValue extends MemberValue
Array member.

Author:
  Bill Burke, Shigeru Chiba

## Constructor Summary

Constructors
Constructor
Description
`ArrayMemberValue(MemberValue t, ConstPool cp)`
Constructs an array.
`ArrayMemberValue(ConstPool cp)`
Constructs an array.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(MemberValueVisitor visitor)`
Accepts a visitor.
`MemberValue`
`getType()`
Obtains the type of the elements.
`MemberValue[]`
`getValue()`
Obtains the elements of the array.
`void`
`setValue(MemberValue[] elements)`
Sets the elements of the array.
`String`
`toString()`
Obtains the string representation of this object.
`void`
`write(AnnotationsWriter writer)`
Writes the value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArrayMemberValue

public ArrayMemberValue(ConstPool cp)
Constructs an array. The initial value or type are not specified.

### ArrayMemberValue

public ArrayMemberValue(MemberValue t, ConstPool cp)
Constructs an array. The initial value is not specified.

Parameters:
  `t` - the type of the array elements.

## Method Details

### getType

public MemberValue getType()
Obtains the type of the elements.

Returns:
  null if the type is not specified.

### getValue

public MemberValue[] getValue()
Obtains the elements of the array.

### setValue

public void setValue(MemberValue[] elements)
Sets the elements of the array.

### toString

public String toString()
Obtains the string representation of this object.

Overrides:
  `toString` in class `Object`

### write

public void write(AnnotationsWriter writer) throws IOException
Writes the value.

Specified by:
  `write` in class `MemberValue`
Throws:
  `IOException`

### accept

public void accept(MemberValueVisitor visitor)
Accepts a visitor.

Specified by:
  `accept` in class `MemberValue`